<!DOCTYPE html>
<html lang="en">

<head>
    //
    <script src="https://d3js.org/d3.v7.min.js"></script>
    <script src="./d3.v7.min.js"></script>
</head>

<body>
    <script type="text/javascript">




        var canvas = d3.select('body')
            .append('svg')
            .attr('width', 500)
            .attr('height', 500);

        var circle = canvas.append("circle")
            .attr("cx", 250)
            .attr("cy", 250)
            .attr("r", 50)
            .attr("fill", "red");
        var rect = canvas
            .append("rect")
            .attr("width", "300")
            .attr("height", 200)
            .attr("fill", "blue");

        var circle = canvas.append("line")
            .attr("x1", 100)
            .attr("y1", 100)
            .attr("x2", 400)
            .attr("y2", 400)
            .attr("stroke", "black")
            .attr("stroke-width", 10);


    </script>
</body>

</html>